]> git.proxmox.com Git - mirror_qemu.git/blob - tests/qemu-iotests/239
block: test block-stream with a base node that is used by block-commit
[mirror_qemu.git] / tests / qemu-iotests / 239
1 #!/bin/bash
2 #
3 # Test case for dmg
4 #
5 # Copyright (C) 2019 yuchenlin <npes87184@gmail.com>
6 #
7 # This program is free software; you can redistribute it and/or modify
8 # it under the terms of the GNU General Public License as published by
9 # the Free Software Foundation; either version 2 of the License, or
10 # (at your option) any later version.
11 #
12 # This program is distributed in the hope that it will be useful,
13 # but WITHOUT ANY WARRANTY; without even the implied warranty of
14 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
15 # GNU General Public License for more details.
16 #
17 # You should have received a copy of the GNU General Public License
18 # along with this program. If not, see <http://www.gnu.org/licenses/>.
19 #
20
21 # creator
22 owner=npes87184@gmail.com
23
24 seq=`basename $0`
25 echo "QA output created by $seq"
26
27 status=1 # failure is the default!
28
29 _cleanup()
30 {
31 rm -f "$TEST_IMG.raw"
32 _cleanup_test_img
33 }
34 trap "_cleanup; exit \$status" 0 1 2 3 15
35
36 # get standard environment, filters and checks
37 . ./common.rc
38
39 _supported_fmt dmg
40 _supported_proto file
41 _supported_os Linux
42
43 echo
44 echo "== Testing conversion to raw should success =="
45 _use_sample_img simple-dmg.dmg.bz2
46 if ! $QEMU_IMG convert -f $IMGFMT -O raw "$TEST_IMG" "$TEST_IMG.raw" ; then
47 exit 1
48 fi
49
50 # success, all done
51 echo "*** done"
52 rm -f $seq.full
53 status=0